ru.bitel.bgbilling.modules.bill.common.bean

## Class DocType

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.bgbilling.modules.bill.common.bean.DocType

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem

      public class DocType
      extends IdTitle

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BILL`
    `static int` | `INVOICE`

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComment()`
    `int` | `getNpid()`
    `java.lang.String` | `getPattern()`
    `java.util.Set<java.lang.Integer>` | `getPositionList()`
    `Preferences` | `getSetup()`
    `java.lang.String` | `getSetupString()`
    `java.lang.String` | `getStringType()`
    `int` | `getType()`
    `java.util.Set<java.lang.Integer>` | `getXmlContractConsist()`
    `java.util.Set<java.lang.Integer>` | `getXmlModulesConsist()`
    `java.util.Set<java.lang.Integer>` | `getXmlPluginsConsist()`
    `boolean` | `isCreateWhenLessOrEqZero()`
    `boolean` | `isCreateWhenStronglyLessZero()`
    `boolean` | `isNSubContractPositions()`
    `boolean` | `isSubContractPositions()`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setCreateWhenLessOrEqZero(boolean createWhenZero)`
    `void` | `setCreateWhenStronglyLessZero(boolean createWhenStronglyLessZero)`
    `void` | `setNpid(int npid)`
    `void` | `setNSubContractPositions(boolean nsubContractPositions)`
    `void` | `setPattern(java.lang.String pattern)`
    `void` | `setPositionList(java.util.Set<java.lang.Integer> positions)`
    `void` | `setSetupString(java.lang.String setupString)`
    `void` | `setSubContractPositions(boolean subContractPositions)`
    `void` | `setType(int type)`
    `void` | `setXmlContractConsist(java.util.Set<java.lang.Integer> xmlContractConsist)`
    `void` | `setXmlModulesConsist(java.util.Set<java.lang.Integer> xmlModulesConsist)`
    `void` | `setXmlPluginsConsist(java.util.Set<java.lang.Integer> xmlPluginsConsist)`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Field Detail

    - #### BILL

          public static final int BILL

      See Also:
        Constant Field Values

    - #### INVOICE

          public static final int INVOICE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DocType

          public DocType()

  - ### Method Detail

    - #### isCreateWhenLessOrEqZero

          public final boolean isCreateWhenLessOrEqZero()

    - #### setCreateWhenLessOrEqZero

          public final void setCreateWhenLessOrEqZero(boolean createWhenZero)

    - #### getPattern

          public java.lang.String getPattern()

    - #### setPattern

          public void setPattern(java.lang.String pattern)

    - #### getType

          public int getType()

    - #### setType

          public void setType(int type)

    - #### getPositionList

          public java.util.Set<java.lang.Integer> getPositionList()

    - #### setPositionList

          public void setPositionList(java.util.Set<java.lang.Integer> positions)

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### isSubContractPositions

          public boolean isSubContractPositions()

    - #### isNSubContractPositions

          public boolean isNSubContractPositions()

    - #### setSubContractPositions

          public void setSubContractPositions(boolean subContractPositions)

    - #### setNSubContractPositions

          public void setNSubContractPositions(boolean nsubContractPositions)

    - #### getStringType

          public java.lang.String getStringType()

    - #### getSetup

          public Preferences getSetup()

    - #### setSetupString

          public void setSetupString(java.lang.String setupString)

    - #### getSetupString

          public java.lang.String getSetupString()

    - #### setCreateWhenStronglyLessZero

          public void setCreateWhenStronglyLessZero(boolean createWhenStronglyLessZero)

    - #### isCreateWhenStronglyLessZero

          public boolean isCreateWhenStronglyLessZero()

    - #### setNpid

          public void setNpid(int npid)

    - #### getNpid

          public int getNpid()

    - #### getXmlModulesConsist

          public java.util.Set<java.lang.Integer> getXmlModulesConsist()

    - #### setXmlModulesConsist

          public void setXmlModulesConsist(java.util.Set<java.lang.Integer> xmlModulesConsist)

    - #### getXmlPluginsConsist

          public java.util.Set<java.lang.Integer> getXmlPluginsConsist()

    - #### setXmlPluginsConsist

          public void setXmlPluginsConsist(java.util.Set<java.lang.Integer> xmlPluginsConsist)

    - #### getXmlContractConsist

          public java.util.Set<java.lang.Integer> getXmlContractConsist()

    - #### setXmlContractConsist

          public void setXmlContractConsist(java.util.Set<java.lang.Integer> xmlContractConsist)